Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
compliance-search
/
vmss
/
terminate
accounts_aid_search_vmss_terminate_merchant_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/compliance-search/vmss/terminate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant": {
    "DBAName": "Snap Photoshop Ltd",
    "address": {
      "city": "St Albans",
      "countryOrRegion": "NO",
      "streetAddress": "80 Wood Street",
      "stateOrProvince": "CA",
      "zipOrPostalCode": "SA82GF"
    },
    "category": "1",
    "principals": [
      {
        "name": "Bill Smith",
        "SSN": "<string>",
        "principalID": "07043453",
        "passportNumber": "07043453",
        "businessPhoneNumber": "+861071111222",
        "driverLicenseNumber": "07043453",
        "businessEmailAddress": "billsmith@snapphoto.com",
        "residentIDOrNationalID": "07043453"
      }
    ],
    "cardAcceptorIDs": [
      "12345678910111"
    ],
    "contractEndDate": "2019-11-14",
    "contractStartDate": "2019-11-01",
    "tradeOverInternet": false,
    "businessPhoneNumbers": [
      "+861071111222"
    ],
    "incorportationStatus": "3",
    "primaryListingReason": "29-Bankruptcy/Liquidation/Insolvency",
    "tradeInternationally": true,
    "merchantCategoryCodes": [
      "5411"
    ],
    "taxID": "GB123456789",
    "legalName": "Snap Photoshop Ltd",
    "webAddresses": [
      "https://u.nu"
    ],
    "financialAccts": [
      {
        "intBankAccountNumber": "NO8330001234567",
        "financialAccountNumber": "8090765400",
        "financialInstitutionID": "101010"
      }
    ],
    "businessEmailAddress": "billsmith@snapphoto.com",
    "paymentFacilitatorBID": "10000108",
    "secondaryListingReason": "34-Merchant Identity Theft",
    "acquirerAssignedMerchantID": "36654773",
    "businessRegistrationNumber": "452349600005",
    "paymentFacilitatorCountryOrRegion": "NO"
  }
}
'
{
  "addResponse": {
    "acquirerBID": "10048640",
    "acquirerCountryOrRegion": "NO",
    "acquirerName": "Dintero",
    "action": "Add",
    "terminatedRefID": "61e8aa42-d252-4e74-9dcc-85134f37a181",
    "terminatedRecord": {
      "DBAName": "Snap Photoshop Ltd",
      "address": {
        "city": "St Albans",
        "countryOrRegion": "NO",
        "streetAddress": "80 Wood Street",
        "stateOrProvince": "CA",
        "zipOrPostalCode": "SA82GF"
      },
      "category": "1",
      "principals": [
        {
          "name": "Bill Smith",
          "SSN": "<string>",
          "principalID": "07043453",
          "passportNumber": "07043453",
          "businessPhoneNumber": "+861071111222",
          "driverLicenseNumber": "07043453",
          "businessEmailAddress": "billsmith@snapphoto.com",
          "residentIDOrNationalID": "07043453"
        }
      ],
      "cardAcceptorIDs": [
        "12345678910111"
      ],
      "contractEndDate": "2019-11-14",
      "contractStartDate": "2019-11-01",
      "tradeOverInternet": false,
      "businessPhoneNumbers": [
        "+861071111222"
      ],
      "incorportationStatus": "3",
      "primaryListingReason": "29-Bankruptcy/Liquidation/Insolvency",
      "tradeInternationally": true,
      "merchantCategoryCodes": [
        "5411"
      ],
      "taxID": "GB123456789",
      "legalName": "Snap Photoshop Ltd",
      "webAddresses": [
        "https://u.nu"
      ],
      "financialAccts": [
        {
          "intBankAccountNumber": "NO8330001234567",
          "financialAccountNumber": "8090765400",
          "financialInstitutionID": "101010"
        }
      ],
      "businessEmailAddress": "billsmith@snapphoto.com",
      "paymentFacilitatorBID": "10000108",
      "secondaryListingReason": "34-Merchant Identity Theft",
      "acquirerAssignedMerchantID": "36654773",
      "businessRegistrationNumber": "452349600005",
      "paymentFacilitatorCountryOrRegion": "NO"
    }
  },
  "status": {
    "statusDescription": "Success",
    "statusCode": "API000"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
merchant
object
required

Response

The added VMSS record

addResponse
object
status
object
Last modified on May 12, 2026